package com.ruoyi.sim.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 座对象 sim_seat
 *
 * @author tom
 * @date 2024-12-13
 */
public class Seat extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 座ID
     */
    private Long seatId;

    /**
     * 座号
     */
    @Excel(name = "座号")
    private Long seatNum;

    /**
     * 学员端座次上[电脑]绑定的[IP地址]
     */
    // @Excel(name = "学员端座次上[电脑]绑定的[IP地址]")
    private String seatBindIp;

    /**
     * 学员端座次上[RS485]绑定的[IP地址]
     */
    // @Excel(name = "学员端座次上[RS485]绑定的[IP地址]")
    private String seatRs485Ip;

    /**
     * 学员端座次上[RS485]绑定的[端口]
     */
    // @Excel(name = "学员端座次上[RS485]绑定的[端口]")
    private Long seatRs485Port;

    /**
     * 当前座上学员/用户ID
     */
    // @Excel(name = "当前座上学员/用户ID")
    private Long currentUserId;

    /**
     * 学员端座次上模拟器的ID:[0]没有连接任何模拟器
     */
    // @Excel(name = "学员端座次上模拟器的ID:[0]没有连接任何模拟器")
    private Long currentSimId;

    public void setSeatId(Long seatId) {
        this.seatId = seatId;
    }

    public Long getSeatId() {
        return seatId;
    }

    public void setSeatNum(Long seatNum) {
        this.seatNum = seatNum;
    }

    public Long getSeatNum() {
        return seatNum;
    }

    public void setSeatBindIp(String seatBindIp) {
        this.seatBindIp = seatBindIp;
    }

    public String getSeatBindIp() {
        return seatBindIp;
    }

    public void setSeatRs485Ip(String seatRs485Ip) {
        this.seatRs485Ip = seatRs485Ip;
    }

    public String getSeatRs485Ip() {
        return seatRs485Ip;
    }

    public void setSeatRs485Port(Long seatRs485Port) {
        this.seatRs485Port = seatRs485Port;
    }

    public Long getSeatRs485Port() {
        return seatRs485Port;
    }

    public void setCurrentUserId(Long currentUserId) {
        this.currentUserId = currentUserId;
    }

    public Long getCurrentUserId() {
        return currentUserId;
    }

    public void setCurrentSimId(Long currentSimId) {
        this.currentSimId = currentSimId;
    }

    public Long getCurrentSimId() {
        return currentSimId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("seatId", getSeatId())
                .append("seatNum", getSeatNum())
                .append("seatBindIp", getSeatBindIp())
                .append("seatRs485Ip", getSeatRs485Ip())
                .append("seatRs485Port", getSeatRs485Port())
                .append("currentUserId", getCurrentUserId())
                .append("currentSimId", getCurrentSimId())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
